Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
-  trait Implicits extends AnyRef

  This trait provides methods to find various kinds of implicits.

  This trait provides methods to find various kinds of implicits.

  Definition Classes
    typechecker
  Version

    1.0

-  class ImplicitSearch extends Analyzer.Typer with Analyzer.ImplicitsContextErrors

  A class that sets up an implicit search.

  A class that sets up an implicit search. For more info, see comments for `inferImplicit`.

  Definition Classes
    Implicits
- ImplicitComputation
- TyperErrorGen
- checkDead
- checkNoEscaping
- checkUnused
- dyna

c

scala.tools.nsc.typechecker.Implicits.ImplicitSearch

# ImplicitComputation 

###

#### class ImplicitComputation extends AnyRef

Prune ImplicitInfos down to either all the eligible ones or the best one.

Source
  Implicits.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ImplicitComputation
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ImplicitComputation(iss: Analyzer.Infoss, isLocalToCallsite: Boolean)

   iss

     list of list of infos

   isLocalToCallsite

     if true, `iss` represents in-scope implicits, which must respect the normal rules of shadowing. The head of the list `iss` must represent implicits from the closest enclosing scope, and so on.

### Type Members

1.  abstract class Shadower extends AnyRef

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ImplicitComputation to any2stringadd[ImplicitComputation] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ImplicitComputation, B)
   Implicit
     This member is added by an implicit conversion from ImplicitComputation to ArrowAssoc[ImplicitComputation] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  val eligible: collection.immutable.List[Analyzer.ImplicitInfo]

   Sorted list of eligible implicits.

9.  def ensuring(cond: (ImplicitComputation) ⇒ Boolean, msg: ⇒ Any): ImplicitComputation
   Implicit
     This member is added by an implicit conversion from ImplicitComputation to Ensuring[ImplicitComputation] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (ImplicitComputation) ⇒ Boolean): ImplicitComputation
    Implicit
      This member is added by an implicit conversion from ImplicitComputation to Ensuring[ImplicitComputation] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: ⇒ Any): ImplicitComputation
    Implicit
      This member is added by an implicit conversion from ImplicitComputation to Ensuring[ImplicitComputation] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): ImplicitComputation
    Implicit
      This member is added by an implicit conversion from ImplicitComputation to Ensuring[ImplicitComputation] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
16.  def findAll(): LinkedHashMap[Analyzer.ImplicitInfo, Analyzer.SearchResult]

    Returns all eligible ImplicitInfos and their SearchResults in a map.

17.  def findBest(): Analyzer.SearchResult

    Returns the SearchResult of the best match.

18.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ImplicitComputation to StringFormat[ImplicitComputation] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
19.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
21.  val invalidImplicits: ListBuffer[Global.Symbol]

    The implicits that are not valid because they come later in the source and lack an explicit result type.

    The implicits that are not valid because they come later in the source and lack an explicit result type. Used for error diagnostics only.

22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
26.  def survives(info: Analyzer.ImplicitInfo): Boolean

    True if a given ImplicitInfo (already known isValid) is eligible.

27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  def →[B](y: B): (ImplicitComputation, B)
    Implicit
      This member is added by an implicit conversion from ImplicitComputation to ArrowAssoc[ImplicitComputation] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
33.  object DivergentImplicitRecovery

    Preventing a divergent implicit from terminating implicit search, so that if there is a best candidate it can still be selected.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ImplicitComputation to any2stringadd[ImplicitComputation]

### Inherited by implicit conversion StringFormat from ImplicitComputation to StringFormat[ImplicitComputation]

### Inherited by implicit conversion Ensuring from ImplicitComputation to Ensuring[ImplicitComputation]

### Inherited by implicit conversion ArrowAssoc from ImplicitComputation to ArrowAssoc[ImplicitComputation]

### Ungrouped